This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 143891 - RFE for up2date (be able to view package changelog)
RFE for up2date (be able to view package changelog)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-31 13:52 EST by Jorge Fábregas
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:08:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jorge Fábregas 2004-12-31 13:52:59 EST
This is a RFE for up2date regarding "the reason" for a package being
updated.

This is an overview of what I'm talking about:  Whenever there's a un
update we'll get an email from the fedora-announce list. There we will
see what's the update for. This line telling what's the fix or update
comes directly from the latest entry on the package's changelog. By
reading this we certainly now whether the update is for a security
update, bugfix or enhancement.
 
As you may know, the emails are sent two to three days later after the
package is released on the main server. This is to allow mirror sites
to get synced.  If I a have repository which has the update (and I
haven't receive the email from fedora-announce) the only way to know
for sure what's the package for..is to DOWNLOAD the rpm and then query
the rpm changelog. THEN I can decide if I want to insall it.

It would be great if -when using up2date- when we get to the screen
showing "Available packages" we COULD SEE this info (why the update is
for). It could be the last entry from changelog I have no prob with that.

Right now, when you click on a package, you can see the package
description at the bottom.  It would be great if there was a 2nd tab
there so we could switch to it and see the changelog entry.  THEN we
can decide if we want to install or not.

The changelog info is on the header file itself so I guess it is
technically possible (at this up2date stage) to look at the changelog
info (just before package is actually downloaded).
 
That's it.

Jorge
Comment 1 Matthew Miller 2006-07-10 16:15:41 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-29 10:08:52 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.